Subject: Re: Re: Problem with GetKeyState()
From: [email-masked] (GBradfor)

6 Nov 1997 18:58:20 -0800
Message-ID: <[email-masked]>
To: [email-masked]

>Subject: Re: Problem with GetKeyState()
>Author:  $Bill Luebkert <[email-masked]> at Internet
>Date:    11/6/97 2:32 AM

>GBradfor wrote:
>> 
>>      What is wrong with the following 
>>program? 
>><snip>
>> 
>>      What am I misunderstanding here?
     
>I don't claim to be an expert or anywhere close to it, but 
>methinks this routine is only valid when running as a 
>Windows task (not in console mode).  Course I don't know 
>much more than that.  :)
     
>Someone else can explain how to create a windows app.
     
Thanks for the quick response.

I guess I have a little confusion factor here.  As I understand Win95 (which 
could be entirely wrong) all applications have to be well-behaved system- 
resource-wise, no matter what their mode.  I figured this would apply to getting
input from the keyboard as well as anything else.  I was under the impression 
that directly intercepting interrupts (the traditional DOS way of getting the 
keyboard scan codes) was strictly verboten under Win95.

So, given what you say is true, that GetKeyState() can only be used in the 
context of a Windows task, and, second of all, that my application doesn't 
really need the pretty Windows facade, and third, that it still has to run under
the Win95 OS, what is the best way to get at the key-up/key-down information?

/s/
Pat Bradford

  Reply to:
        [email-masked]
                AND/OR
        [email-masked]

Received: from michp758.redstone.army.mil (136.205.10.78) by
FHSSMTP.REDSTONE.ARMY.MIL with SMTP
  (IMA Internet Exchange 2.11 Enterprise) id 000AC127; Thu, 6 Nov 97 04:44:51
-0600
(8.8.5-q-beta2/8.6.9) with ESMTP id CAA18523; Thu, 6 Nov 1997 02:32:26 -0800
Message-ID: <[email-masked]>
Date: Thu, 06 Nov 1997 02:32:03 -0800
From: $Bill Luebkert <[email-masked]>
Organization: DBE Collectibles
X-Mailer: Mozilla 4.03 [en] (Win95; U)
MIME-Version: 1.0
To: GBradfor <[email-masked]>
CC: [email-masked]
Subject: Re: Problem with GetKeyState()
References: <[email-masked]>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".